CacheService.KeyCacheSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service

## Class CacheService.KeyCacheSerializer

- java.lang.Object
- - org.apache.cassandra.service.CacheService.KeyCacheSerializer

- All Implemented Interfaces:
    AutoSavingCache.CacheSerializer<KeyCacheKey,RowIndexEntry>
  Enclosing class:
    CacheService

      public static class CacheService.KeyCacheSerializer
      extends java.lang.Object
      implements AutoSavingCache.CacheSerializer<KeyCacheKey,RowIndexEntry>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyCacheSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.Future<Pair<KeyCacheKey,RowIndexEntry>>` | `deserialize(java.io.DataInputStream input, ColumnFamilyStore cfs)`
    `void` | `serialize(KeyCacheKey key, DataOutputPlus out, ColumnFamilyStore cfs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyCacheSerializer

          public KeyCacheSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(KeyCacheKey key,
                                DataOutputPlus out,
                                ColumnFamilyStore cfs)
                         throws java.io.IOException

      Specified by:
        `serialize` in interface `AutoSavingCache.CacheSerializer<KeyCacheKey,RowIndexEntry>`
      Throws:
        `java.io.IOException`

    - #### deserialize

          public java.util.concurrent.Future<Pair<KeyCacheKey,RowIndexEntry>> deserialize(java.io.DataInputStream input,
                                                                                          ColumnFamilyStore cfs)
                                                                                   throws java.io.IOException

      Specified by:
        `deserialize` in interface `AutoSavingCache.CacheSerializer<KeyCacheKey,RowIndexEntry>`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation